from stfdigital.contexto import Contexto


class APPecas:
    CONTEXTO = Contexto.AP_PECAS

    def __init__(self, api):
        self._api = api

    async def pecas_processo(self, codigo: str) -> list:
        resp = await self._api.get(self.CONTEXTO, f"/api/processos/{codigo}/pecas")
        json_response: dict = await resp.json()
        return list(json_response["pecas"])

    async def conteudo_peca(self, id_peca: int) -> bytes:
        response = await self._api.get(
            self.CONTEXTO, f"/api/conteudos/{id_peca}/binario"
        )
        conteudo: bytes = await response.content()
        return conteudo
